> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EndUser anomalies

> Get anomalies for given EndUser given a category label or heron id



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_users/{end_user_id_or_heron_id}/anomalies
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/anomalies:
    get:
      tags:
        - EndUserCalculations
      summary: Get EndUser anomalies
      description: Get anomalies for given EndUser given a category label or heron id
      parameters:
        - description: The `end_user_id` or `heron_id` of EndUser to upload
          in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
        - description: Label or Heron ID of category to find anomalies for
          in: query
          name: category_label_or_heron_id
          required: true
          schema:
            example: Revenue
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AnomalySchema'
                type: array
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AnomalySchema:
      properties:
        amount:
          description: Converted amount of transaction in currency
          example: 42.42
          type: number
        anomaly_score:
          description: Anomaly score 0-1, where 1 is very anomalous, and 0 is not anomalous
          example: 0.5
          type: number
        currency:
          description: Currency code for amount that transaction was converted to
          example: USD
          type: string
        heron_id:
          description: Heron ID of the Transaction
          example: txn_bLJLXHVjXUspis8U4yi3eN
          type: string
        reference_id:
          description: Customer-provided reference ID for the Transaction
          example: 1342db06-feb7-4c33-a157-4351d74a98e9
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````